import { SecretType } from '../SecretType';
import { WalletBalance } from './WalletBalance';
export declare enum WalletType {
    THREEWAY_SHARED = "THREEWAY_SHARED",
    USER_OWNED = "USER_OWNED",
    UNCLAIMED = "UNCLAIMED",
    APPLICATION = "APPLICATION"
}
export declare enum WalletAppType {
    APP = "APP",
    PERSONAL = "PERSONAL"
}
export declare class Wallet {
    id: string;
    address: string;
    walletType?: WalletType;
    secretType: SecretType;
    archived: boolean;
    alias?: string;
    description?: string;
    primary?: boolean;
    balance?: WalletBalance;
    hasCustomPin?: false;
    status: string;
    createdAt?: Date;
    lastUpdated?: number;
}
export interface Wallets extends Array<Wallet> {
    [id: number]: Wallet;
}
